### Method

# Gimp ProcedureConfig end_export

#### Declaration [src]

    void
    gimp_procedure_config_end_export (
      GimpProcedureConfig* config,
      GimpImage* exported_image,
      GFile* file,
      GimpPDBStatusType status
    )

#### Description [src]

This is a variant of `gimp_procedure_config_end_run()` to be used by file export procedures using `GimpSaveProcedure`. It must be paired with a call to `gimp_procedure_config_begin_export()` at the beginning of run().

It does everything `gimp_procedure_config_begin_run()` does but provides additional features to automate file export:

If `status` is `GIMP_PDB_SUCCESS`, and `gimp_procedure_config_begin_export()` returned a `GimpMetadata`, this function calls `gimp_procedure_config_save_metadata()`, which syncs back `config`‘s export properties to the metadata’s `GimpMetadataSaveFlags` and writes metadata to `file` using `gimp_image_metadata_save_finish()`.

Available since: | 3.0

#### Parameters

`exported_image` | `GimpImage`
| The image that was actually exported.
| The data is owned by the caller of the function.
`file` | `GFile`
| The `GFile` `exported_image` was written to.
| The data is owned by the caller of the function.
`status` | `GimpPDBStatusType`
| The return status of the `GimpProcedure`‘s `run()`